Name:           ocaml-alsa
Version:        0.2.3
Release:        %mkrel 9
Summary:        OCaml bindings for the ALSA library
URL:            https://github.com/savonet/ocaml-alsa
Source0:        https://github.com/savonet/ocaml-alsa/releases/download/%version/ocaml-alsa-%{version}.tar.gz
License:        GPLv2
Group:          Development/OCaml
BuildRequires:  pkgconfig(alsa)
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib


%description
This OCaml library interfaces the ALSA library libasound to access audio
devices.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       libalsa-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/alsa
make install


%files
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/alsa
%{_libdir}/ocaml/alsa/META
%{_libdir}/ocaml/alsa/*.cma
%{_libdir}/ocaml/alsa/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%doc doc/*.html
%{_libdir}/ocaml/alsa/*.a
%{_libdir}/ocaml/alsa/*.cmxa
%{_libdir}/ocaml/alsa/*.cmx
%{_libdir}/ocaml/alsa/*.mli



%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.2.3-9.mga8
+ Revision: 1670425
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.2.3-8.mga8
+ Revision: 1551126
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.2.3-7.mga8
+ Revision: 1544535
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.2.3-6.mga8
+ Revision: 1483162
- rebuild for ocaml-4.10

* Sun Jan 26 2020 tv <tv> 0.2.3-5.mga8
+ Revision: 1482996
- rebuild for ocaml-4.10

* Tue Oct 23 2018 tv <tv> 0.2.3-4.mga7
+ Revision: 1324022
- rebuild with ocaml-4.07.1

* Mon Oct 22 2018 pterjan <pterjan> 0.2.3-3.mga7
+ Revision: 1323718
- Rebuild for ocaml 4.07

* Sun Sep 23 2018 umeabot <umeabot> 0.2.3-2.mga7
+ Revision: 1299829
- Mageia 7 Mass Rebuild

* Wed Nov 29 2017 tv <tv> 0.2.3-1.mga7
+ Revision: 1180262
- new release
- rebuild for new ocaml

* Sun Sep 25 2016 pterjan <pterjan> 0.2.1-14.mga6
+ Revision: 1056220
- Rebuild for fix in ocaml

* Tue Feb 02 2016 pterjan <pterjan> 0.2.1-13.mga6
+ Revision: 932980
- Rebuild for new ocaml

* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-12.mga5
+ Revision: 741138
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-11.mga5
+ Revision: 682974
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.1-10.mga4
+ Revision: 536397
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 0.2.1-9.mga4
+ Revision: 484204
- rebuild for ocaml-4.01.0

* Sat Jan 12 2013 umeabot <umeabot> 0.2.1-8.mga3
+ Revision: 361117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.1-7.mga3
+ Revision: 301504
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.2.1-5.mga3
+ Revision: 300028
- new rpm group for ocaml
+ malo <malo>
- spec clean-up
- remove Requires on libalsa-devel

* Thu Nov 17 2011 malo <malo> 0.2.1-3.mga2
+ Revision: 168360
- missing Requires on libalsa-devel

* Sun Oct 02 2011 shlomif <shlomif> 0.2.1-2.mga2
+ Revision: 151028
- Rebuild for the new ocaml - thanks to Malo

* Sun Sep 25 2011 shlomif <shlomif> 0.2.1-1.mga2
+ Revision: 147770
- imported package ocaml-alsa

